FreeBSD : inspircd -- buffer overflow (f5f00804-a03b-11e1-a284-0023ae8e59f0)

High Nessus Plugin ID 59184


The remote FreeBSD host is missing one or more security-related updates.


InspIRCd reports :

InspIRCd contains a heap corruption vulnerability that exists in the dns.cpp code. The res[] buffer is allocated on the heap and can be overflowed. The res[] buffer can be exploited during its deallocation.
The number of overflowed bytes can be controlled with DNS compression features.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 59184

File Name: freebsd_pkg_f5f00804a03b11e1a2840023ae8e59f0.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2012/05/18

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:inspircd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2012/05/17

Vulnerability Publication Date: 2012/03/19

Reference Information

CVE: CVE-2012-1836